import type { ApiPromise } from '@polkadot/api';
export declare class Indexer {
    #private;
    init(): void;
    initializeLocalMetadata(): Promise<void>;
    fetchAll(api: ApiPromise): Promise<void>;
    fetchCalls(api: ApiPromise, shardId: number, blockNumber: number): Promise<void>;
    fetchOnce(api: ApiPromise, address: string): Promise<void>;
    writeAll(): Promise<void>;
}
