export declare class ShardManager {
    #private;
    constructor(runningShards: number[], key?: Uint8Array);
    init(): Promise<void>;
    disconnect(): Promise<void>;
    maybeRegisterSecretKeeper(blockNumber: number): Promise<void>;
    maybeSubmitExecutionReport(blockNumber: number): void;
    private beaconIsTurn;
}
