import { SecretContract } from '@skyekiwi/driver/types';
import { SecretRegistry } from '@skyekiwi/secret-registry';
import { Calls } from './borsh';
export declare class ContractController {
    static buildInitialState(calls: Calls): Uint8Array;
    static parseInitialState(encodedCalls: Uint8Array): Calls;
    static intoSecretContract(calls: Calls, wasmBlob: Uint8Array): SecretContract;
    static upstream(registry: SecretRegistry, contract: SecretContract): Promise<number>;
    static downstream(registry: SecretRegistry, secretId: number): Promise<SecretContract>;
}
